Subject: Re: [TEST] bond_macvlan_ipvlan.sh flakiness

From: Hangbin Liu <[email-masked]>
Date: Tue, 18 Nov 2025 06:03:17 +0000

On Mon, Nov 17, 2025 at 08:24:35AM +0000, Hangbin Liu wrote:
> > If it's ipvlan that fails rather than macvlan there is a bunch of
> > otherhost drops:
> > 
> > # 17: ipvlan0@if15: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
> > #     link/ether 00:0a:0b:0c:0d:01 brd ff:ff:ff:ff:ff:ff link-netns s-8BLcCn
> > #     RX:  bytes packets errors dropped  missed   mcast           
> > #            702      10      0       0       0       3 
> > #     RX errors:  length    crc   frame    fifo overrun otherhost
> > #                      0      0       0       0       0         4
> 
> Hmm, this one is suspicious. I can reproduce the ping fail on local.
> But no "otherhost" issue. I will check the failure recently.

This looks like a time-sensitive issue, with

diff --git a/tools/testing/selftests/drivers/net/bonding/bond_macvlan_ipvlan.sh b/tools/testing/selftests/drivers/net/bonding/bond_macvlan_ipvlan.sh
index c4711272fe45..947c85ec2cbb 100755
--- a/tools/testing/selftests/drivers/net/bonding/bond_macvlan_ipvlan.sh
+++ b/tools/testing/selftests/drivers/net/bonding/bond_macvlan_ipvlan.sh
@@ -30,6 +30,7 @@ check_connection()
        local message=${3}
        RET=0

+       sleep 1
        ip netns exec ${ns} ping ${target} -c 4 -i 0.1 &>/dev/null
        check_err $? "ping failed"
        log_test "${bond_mode}/${xvlan_type}_${xvlan_mode}: ${message}"

I run the test 100 times (vng with 4 cpus) and not able to reproduce it anymore.
That maybe why debug kernel works good.

I need some time to figure out what configure affect the issue.

Thanks
Hangbin